Bug 201099 - ypbind starts after NFS attempts mounts on bootup
ypbind starts after NFS attempts mounts on bootup
Product: Fedora
Classification: Fedora
Component: ypbind (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-08-02 15:39 EDT by David Carpman
Modified: 2009-07-14 13:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 13:25:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Carpman 2006-08-02 15:39:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
I am using NIS for name resolution on my local network. I have some NFS mounts defined in /etc/fstab that use hostnames (e.g. porky:/export/blah). On bootup, these NFS mounts fail to be mounted with a "can't get address" error for those hostnames. NIS is not up and running at this point in the boot sequence (it is started soon after mounts are attempted). Is there a way to have NIS start before attempting to mount NFS filesystems? I know I could add those hosts to /etc/hosts, but I'm looking for a better solution.

I was asked to try this by steved:
try changing the '# chkconfig: - 27 73' to '# chkconfig: - 25 73' line in /etc/init.d/ypbind and then run
     'chkconfig ypbind off && chkconfig ypbind on'
to reset when ypbind is started (i.e causing it to be started before the netfs are mounted).

but this seemed to have no effect, NIS was started after NFS mounts on bootup.

How can I use NIS for name resolution with NFS mounts defined in /etc/fstab?


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Configure a machine (machine A) to use a NIS domain using the FC Authentication GUI. This should add nis to the hosts line in /etc/nsswitch.conf.
2.No DNS server should be defined.
3.Configure the NIS server's (machine B)/etc/hosts to have the name and address of a third machine (machine C). You might need to ypmake/restart ypserv.
4.Confirm machine A can see the machine C's info with 'ypcat hosts'
5.Add an NFS export to machine C.
6.Add this export to machine A's /etc/fstab, using Machine C's hostname.
7.Confirm this can be mounted successfully.
8.Reboot machine A. 

Actual Results:
The NFS mount for machine C's export failed on bootup since the NIS domain is not yet bound.

Expected Results:
The NFS mounts should succeed on bootup no matter the name resolution method.

Additional info:
I've seen this on our Redhat 9 machines, so it's probably not specific to FC5. Workaround was to add those few hosts used for NFS mounts to /etc/hosts. I'd rather not now that I have a cluster to maintain and those addresses may change.
Comment 1 Steve Dickson 2006-12-03 21:46:55 EST
Moving ypbind up in the starting does fix this problem, but it
also means the starting order of ypserv and ypxfr also have to
move up to avoid hangs during boot when NIS server is the
local machine...

So I would like to move this to a devel bug so we get some good
Comment 2 Bug Zapper 2008-05-13 22:16:17 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Mike Heffner 2009-04-11 12:37:33 EDT
This is still a bug in an updated Fedora 10 box. netfs is still starting BEFORE NIS and hence any filesystem mount in /etc/fstab that uses hostnames from NIS will fail nor mount when NIS subsequently starts.

This appears to be related to Bug 480417 as well.
Comment 4 Bug Zapper 2009-06-09 18:14:41 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-07-14 13:25:03 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.